Subject: Re: GitGitGadget on git/git, was Re: Should we auto-close PRs on git/git?

From: Eric Wong <[email-masked]>
Date: Wed, 27 Nov 2019 02:37:45 +0000

Junio C Hamano <[email-masked]> wrote:
> Eric Wong <[email-masked]> writes:
> 
> > (and I'm not going to pay extortionist .org fees to keep
> >  public-inbox.org when it comes up for renewal in 2023,
> >  maybe everyone can use Tor .onions by then :> )
> 
> Just on this tangent.  Would you be willing to keep the domain and
> keep the service running, if Git Project Leadership Committee pays
> the fee out of the funds we keep at Software Freedom Conservancy?

Maybe...  I'm against the *principle* of paying extortionists;
and I don't think the Git project should encourage them, either.

Promoting + developing a Distributed Hash Table (DHT) for
Message-ID (and git OID) lookups to fight against centralization
would be a better use of time and funds :>

However, if EFF and other .orgs prove effective in keeping
prices reasonable then that's fine, I guess.  I personally
expect to be financially worse off in 2023 than I was in 2013
when I bought the domain, so some help there could be nice :)

The actual cost of running a service is only $20/month in VPS
hosting.  It's a business expense at the moment as I hack on
that machine for clients, and I'm trying to make public-inbox
cheaper and easier to host, too.

But, https://lore.kernel.org/git/ has professionals behind it
and is more scalable.  It's currently missing syntax
highlighting and blob regeneration because that's a PITA to
configure, though...